### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.publish

# Interface ReferenceEntryInterface

All Superinterfaces:
  `com.sas.entities.EntityKeyInterface`, `EntryInterface`, `Remote`

All Known Implementing Classes:
  `ReferenceEntry`

@SASScope("ALL") @BinaryCompatibilityOnly public interface ReferenceEntryInterface extends EntryInterface, Remote
The ReferenceEntryInterface provides a mechanism for setting and getting the attributes of a reference entry. A reference entry simply identifies (references) some data or file (such as a web page) that is external to the package.

Since:
  1.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `HTML_REFERENCE`
  `static final String`
  `URL_REFERENCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getReference()`
  Returns the reference string.
  `String`
  `getReferenceType()`
  Returns the type of reference.
  `void`
  `setReference(String reference)`
  Sets the reference string.
  `void`
  `setReferenceType(String referenceType)`
  Sets the type of reference string.

  ### Methods inherited from interface com.sas.entities.EntityKeyInterface

  `getEntityKey, sameEntity, setEntityKey`

  ### Methods inherited from interface com.sas.services.publish.EntryInterface

  `getDescription, getNameValuePairs, getURL, isReadOnly, setDescription, setNameValuePairs`

- ## Field Details

  - ### HTML_REFERENCE

    static final String HTML_REFERENCE
    See Also:
      - Constant Field Values

  - ### URL_REFERENCE

    static final String URL_REFERENCE
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getReference

    String getReference() throws RemoteException, TransportException, IllegalStateException
    Returns the reference string.
    Returns:
      `String` The reference string for this entry.
    Throws:
      `TransportException` - If the transport encounters an error getting the reference string.
      `RemoteException` - If a network anomaly is encountered.
      `IllegalStateException` - If the package containing this entry is already closed.

  - ### setReference

    void setReference(String reference) throws RemoteException, IllegalStateException
    Sets the reference string.
    Parameters:
      `reference` - The reference string for this entry.
    Throws:
      `IllegalStateException` - If this entry is read only or if the result package containing this entry has already been closed.
      `RemoteException` - If a network anomaly is encountered.

  - ### getReferenceType

    String getReferenceType() throws RemoteException, TransportException, IllegalStateException
    Returns the type of reference.
    Returns:
      `String` The type of refrence, `ReferenceEntryInterface.URL_REFERENCE` or `ReferenceEntryInterface.HTML_REFERENCE`
    Throws:
      `TransportException` - If the transport encounters an error getting the reference type.
      `RemoteException` - If a network anomaly is encountered.
      `IllegalStateException` - If the package containing this entry has already been closed.

  - ### setReferenceType

    void setReferenceType(String referenceType) throws RemoteException, IllegalStateException
    Sets the type of reference string.
    Parameters:
      `referenceType` - The reference type. Valid reference types include `ReferenceEntryInterface.URL_REFERENCE` or `ReferenceEntryInterface.HTML_REFERENCE`
    Throws:
      `IllegalStateException` - If this entry is read only or if the package containing this entry has already been closed.
      `RemoteException` - If a network anomaly is encountered.